## zabbix 5.0.8+dfsg

=== src/go/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# src/go/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/zabbix
pkgincludedir = $(includedir)/zabbix
pkglibdir = $(libdir)/zabbix
pkglibexecdir = $(libexecdir)/zabbix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/go
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_lib_mysql.m4 \
	$(top_srcdir)/m4/ax_lib_oracle_oci.m4 \
	$(top_srcdir)/m4/ax_lib_postgresql.m4 \
	$(top_srcdir)/m4/ax_lib_sqlite3.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/ldap.m4 $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/libevent.m4 $(top_srcdir)/m4/libgnutls.m4 \
	$(top_srcdir)/m4/libopenssl.m4 $(top_srcdir)/m4/libssh.m4 \
	$(top_srcdir)/m4/libssh2.m4 $(top_srcdir)/m4/libunixodbc.m4 \
	$(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/netsnmp.m4 \
	$(top_srcdir)/m4/openipmi.m4 $(top_srcdir)/m4/pcre.m4 \
	$(top_srcdir)/m4/pthread.m4 $(top_srcdir)/m4/resolv.m4 \
	$(top_srcdir)/m4/zlib.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing aclocal-1.16
AGENT2_CONFIG_FILE = ${prefix}/etc/zabbix_agent2.conf
AGENT_CONFIG_FILE = ${prefix}/etc/zabbix_agentd.conf
AGENT_LDFLAGS =      
AGENT_LIBS =      
ALERT_SCRIPTS_PATH = ${datarootdir}/zabbix/alertscripts
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ARCH = linux
AUTOCONF = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing automake-1.16
AWK = mawk
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -O2 
CGO_CFLAGS = 
CGO_LDFLAGS =       -Wl,--start-group 	${abs_top_builddir}/src/zabbix_agent/logfiles/libzbxlogfiles.a 	${abs_top_builddir}/src/libs/zbxcomms/libzbxcomms.a 	${abs_top_builddir}/src/libs/zbxcommon/libzbxcommon.a 	${abs_top_builddir}/src/libs/zbxcrypto/libzbxcrypto.a 	${abs_top_builddir}/src/libs/zbxsys/libzbxsys.a 	${abs_top_builddir}/src/libs/zbxnix/libzbxnix.a 	${abs_top_builddir}/src/libs/zbxconf/libzbxconf.a 	${abs_top_builddir}/src/libs/zbxhttp/libzbxhttp.a 	${abs_top_builddir}/src/libs/zbxcompress/libzbxcompress.a 	${abs_top_builddir}/src/libs/zbxregexp/libzbxregexp.a 	${abs_top_builddir}/src/libs/zbxsysinfo/libzbxagent2sysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/common/libcommonsysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/simple/libsimplesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspechostnamesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspecsysinfo.a 	${abs_top_builddir}/src/libs/zbxexec/libzbxexec.a 	${abs_top_builddir}/src/libs/zbxalgo/libzbxalgo.a 	${abs_top_builddir}/src/libs/zbxjson/libzbxjson.a 	-lm -ldl  -lresolv         -Wl,--end-group
CPP = cc -E
CPPFLAGS = 
CURL_SSL_CERT_LOCATION = ${datarootdir}/zabbix/ssl/certs
CURL_SSL_KEY_LOCATION = ${datarootdir}/zabbix/ssl/keys
CYGPATH_W = echo
DB_CFLAGS = 
DB_LDFLAGS = 
DB_LIBS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTERNAL_SCRIPTS_PATH = ${datarootdir}/zabbix/externalscripts
GNUTLS_CFLAGS = 
GNUTLS_LDFLAGS = 
GNUTLS_LIBS = 
GO = 
GOBIN = ${exec_prefix}/sbin
GOCMD = go
GOWORKDIR = /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/go/src/zabbix
GREP = /bin/grep
ICONV_CFLAGS = 
ICONV_LDFLAGS = 
ICONV_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = 
JAVAC = 
LDAP_CPPFLAGS = 
LDAP_LDFLAGS = 
LDAP_LIBS = 
LDFLAGS = -rdynamic   
LIBCURL_CFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS = 
LIBEVENT_CFLAGS = 
LIBEVENT_LDFLAGS = 
LIBEVENT_LIBS = 
LIBOBJS = 
LIBPCRE_CFLAGS = 
LIBPCRE_LDFLAGS = 
LIBPCRE_LIBS = 
LIBPTHREAD_CFLAGS = 
LIBPTHREAD_LDFLAGS = 
LIBPTHREAD_LIBS = 
LIBS = -lm -ldl  -lresolv  
LIBXML2_CFLAGS = 
LIBXML2_LDFLAGS = 
LIBXML2_LIBS = 
LIBXML2_VERSION = 
LOAD_MODULE_PATH = ${exec_prefix}/lib/modules
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing makeinfo
MKDIR_P = /bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CONFIG = 
MYSQL_LDFLAGS = 
MYSQL_LIBS = 
MYSQL_VERSION = 
OBJEXT = o
ODBC_CONFIG = 
OPENIPMI_CFLAGS = 
OPENIPMI_LDFLAGS = 
OPENIPMI_LIBS = 
OPENSSL_CFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = 
ORACLE_OCI_CFLAGS = 
ORACLE_OCI_LDFLAGS = 
ORACLE_OCI_LIBS = 
ORACLE_OCI_VERSION = 
PACKAGE = zabbix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Zabbix
PACKAGE_STRING = Zabbix 5.0.8
PACKAGE_TARNAME = zabbix
PACKAGE_URL = 
PACKAGE_VERSION = 5.0.8
PATH_SEPARATOR = :
PG_CONFIG = 
PKG_CONFIG = 
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSTGRESQL_CFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS = 
POSTGRESQL_VERSION = 
PROXY_CONFIG_FILE = ${prefix}/etc/zabbix_proxy.conf
PROXY_LDFLAGS =      
PROXY_LIBS =      
RANLIB = ranlib
RESOLV_LIBS = -lresolv
SENDER_LDFLAGS =      
SENDER_LIBS =      
SERVER_CONFIG_FILE = ${prefix}/etc/zabbix_server.conf
SERVER_LDFLAGS =      
SERVER_LIBS =      
SET_MAKE = 
SHELL = /bin/bash
SNMP_CFLAGS = 
SNMP_LDFLAGS = 
SNMP_LIBS = 
SQLITE3_CPPFLAGS = 
SQLITE3_LDFLAGS = 
SQLITE3_LIBS = 
SQLITE3_VERSION = 
SSH2_CFLAGS = 
SSH2_LDFLAGS = 
SSH2_LIBS = 
SSH_CFLAGS = 
SSH_LDFLAGS = 
SSH_LIBS = 
STRIP = 
TLS_CFLAGS = 
UNIXODBC_CFLAGS = 
UNIXODBC_LDFLAGS = 
UNIXODBC_LIBS = 
VERSION = 5.0.8
ZBXGET_LDFLAGS =      
ZBXGET_LIBS =      
ZBXJS_LDFLAGS =   
ZBXJS_LIBS =     
ZLIB_CFLAGS = 
ZLIB_LDFLAGS = 
ZLIB_LIBS = 
_libcurl_config = no
_libnetsnmp_config = 
abs_builddir = /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/src/go
abs_srcdir = /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/src/go
abs_top_builddir = /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources
abs_top_srcdir = /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources
ac_ct_CC = cc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = .	
BUILD_TIME = `date +%H:%M:%S`
BUILD_DATE = `date +"%b %_d %Y"`
GOOS = `go env GOOS`
GOARCH = `go env GOARCH`
PKG = zabbix.com/pkg/version
# GOLDFLAGS += -X ${PKG}.compileMode=daemon
GOLDFLAGS = -X ${PKG}.titleMessage=zabbix_agent2 -X \
	'${PKG}.compileDate=${BUILD_DATE}' -X \
	${PKG}.compileTime=${BUILD_TIME} -X ${PKG}.compileOs=${GOOS} \
	-X ${PKG}.compileArch=${GOARCH} -X \
	main.confDefault=${AGENT2_CONFIG_FILE}
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/go/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/go/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

=== debian/changelog ===
zabbix (1:5.0.8+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 15:01:20 -0500

zabbix (1:5.0.8+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Feb 2021 17:09:28 +1100

zabbix (1:5.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 11:45:27 +1100

zabbix (1:5.0.7+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jan 2021 08:45:39 +1100

zabbix (1:5.0.5+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Nov 2020 23:15:57 +1100

zabbix (1:5.0.4+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Oct 2020 16:51:23 +1100

zabbix (1:5.0.2+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Aug 2020 20:21:02 +1000

zabbix (1:5.0.1+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Jun 2020 22:56:54 +1000

zabbix (1:5.0.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 May 2020 10:44:51 +1000

zabbix (1:4.0.18+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Mar 2020 10:10:52 +1100

zabbix (1:4.0.16+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Dec 2019 16:48:22 +1100

zabbix (1:4.0.15+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 13:31:23 +1100

zabbix (1:4.0.14+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 13:58:29 +1100

=== debian/control ===
Source: zabbix
Section: net
Priority: optional
Standards-Version: 4.5.0
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Christoph Haas <haas@debian.org>
Build-Depends: debhelper-compat (= 12), automake, dh-linktree, apache2-dev
    ,libcurl4-gnutls-dev
    ,libevent-dev
    ,libgnutls28-dev | gnutls-dev
    ,libiksemel-dev
    ,libldap2-dev
    ,default-libmysqlclient-dev
# libopenipmi-dev is not available on some architectures
    ,libopenipmi-dev [!hurd-any !arm]
    ,libpcre3-dev
    ,libpq-dev
    ,libsnmp-dev
    ,libsqlite3-dev
    ,libssh2-1-dev
    ,libxml2-dev
    ,pkg-config
    ,unixodbc-dev
    ,zlib1g-dev
## dh-linktree:
    ,fonts-dejavu-core
    ,libjs-prototype
    ,libjs-jquery-ui (>= 1.10.1)
#   ,libjs-jquery (>= 1.10.1)
## java-gateway deps:
    ,javahelper
Build-Depends-Indep: default-jdk-headless
    ,libandroid-json-java
    ,liblogback-java
    ,libslf4j-java
    ,junit4
## ui/locale/*.sh:
    ,gettext
## ui/styles/*.css:
    ,ruby-sass
Homepage: http://zabbix.com
Vcs-Browser: https://salsa.debian.org/debian/zabbix
Vcs-Git: https://salsa.debian.org/debian/zabbix.git
Rules-Requires-Root: no

Package: zabbix-agent
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, adduser, lsb-base
        ,pciutils
Recommends: usbutils
Suggests: logrotate
Description: network monitoring solution - agent
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent.

Package: zabbix-frontend-php
Architecture: all
Depends: ${misc:Depends}, ucf
    ,php
    ,php-bcmath
    ,php-gd
    ,php-mbstring
    ,php-xml
    ,php-pgsql | php-mysql | php-sqlite3
    ,fonts-dejavu-core
Recommends: ${misc:Recommends}
    ,php-ldap
    ,libapache2-mod-php | php-fpm
Description: network monitoring solution - PHP front-end
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides a web-browsable front-end to the Zabbix server, which
 can display graphs of the data collected from clients.

Package: zabbix-java-gateway
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${java:Depends}, ${misc:Depends}, adduser, lsb-base
Recommends: ${java:Recommends}
Description: network monitoring solution - Java gateway
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor Java applications
 using a Zabbix Java gateway. It collects information from JMX agent.

Package: zabbix-proxy-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: default-mysql-server | virtual-mysql-server
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
Description: network monitoring solution - proxy (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a MySQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql
Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
Suggests: logrotate
Description: network monitoring solution - proxy (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a PostgreSQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
Description: network monitoring solution - proxy (using SQLite3)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in an SQLite3 database and then passes it to a Zabbix server.

Package: zabbix-server-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: default-mysql-server | virtual-mysql-server, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 MySQL database.

Package: zabbix-server-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-mysql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 PostgreSQL database.

=== debian/rules ===
#!/usr/bin/make -f

# Enable this export to get more detailed information about what debhelper does
#export DH_VERBOSE=1

## Define the names of the resulting binary packages
PKG_AGENT = zabbix-agent
PKG_FRONTEND = zabbix-frontend-php
PKG_GATEWAY_JAVA = zabbix-java-gateway
PKG_PROXY_MYSQL = zabbix-proxy-mysql
PKG_PROXY_PGSQL = zabbix-proxy-pgsql
PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
PKG_SERVER_MYSQL = zabbix-server-mysql
PKG_SERVER_PGSQL = zabbix-server-pgsql
#PKG_SERVER_SQLITE3 = zabbix-server-sqlite3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Squeeze backporters: --export=configure is not available on Squeeze
#DPKG_BUILDFLAGS := $(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

CONFFLAGS_COMMON  = --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
                    --datadir=/etc \
                    --sysconfdir=/etc/zabbix \
                    --prefix=/usr \
                    --infodir=\$${prefix}/share/info \
                    --mandir=\$${prefix}/share/man \
                    --enable-agent \
                    --enable-proxy \
                    --enable-ipv6 \
                    --with-gnutls \
                    --with-jabber \
                    --with-ldap \
                    --with-libcurl \
                    --with-libxml2 \
                    --with-net-snmp \
                    --with-ssh2 \
                    --with-unixodbc

## Hurd and kFreeBSD only have Java 1.5 which can't compile java-gateway sources...
#ifneq ($(DEB_BUILD_ARCH_OS),hurd)
#ifneq ($(DEB_BUILD_ARCH_OS),kfreebsd)
#CONFFLAGS_COMMON += --enable-java
#endif
#endif
CONFFLAG_IPMI           = $(if $(shell dpkg --status libopenipmi-dev &>/dev/null),--with-openipmi)
CONFFLAG_SERVER_MYSQL   = --with-mysql --enable-server
CONFFLAG_SERVER_PGSQL   = --with-postgresql --enable-server
CONFFLAG_SERVER_SQLITE3 = --with-sqlite3
BUILD_PREFIX := $(CURDIR)/debian/tmp-build

# The Zabbix sources are compiled once for each database backends (VARIANT).
# The proxy and server packages always contain one kind of database support.
# The zabbix-agent and zabbix-frontend-php package do not have any kind of
# database support and are created from one of the above mentioned builds.
VARIANTS := MYSQL PGSQL SQLITE3

%:
	dh $@ --max-parallel=4 --with javahelper,linktree,apache2

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	@echo "Removing build directories in $(BUILD_PREFIX)"
	$(RM) -r debian/tmp*
	dh_clean \
            config.log debian/*.debhelper \
            ui/js/vendors/jquery.js \
            ui/js/vendors/jquery-ui.js \
            *.jar

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

override_dh_auto_configure:
	## Copy the source directory (without the 'debian' directory) to build locations
	## to configure and compile the sources there for each database flavor.
	for i in $(VARIANTS); do \
            mkdir $(BUILD_PREFIX)-$$i ;\
            tar -cSf - --exclude=./.svn --exclude=./debian . \
            | tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
        done
	set -e ;\
$(foreach i,$(VARIANTS), \
    dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
      $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) ;\
)

build-indep: override_dh_autoreconf
	## build styles:
	dh_auto_configure -- --enable-java
	$(MAKE) css
	## build translations:
	cd ui/locale && ./update_po.sh
	cd ui/locale && ./make_mo.sh
	## build zabbix-java-gateway.jar
	## override_jh_build:
	JAVA_HOME=/usr/lib/jvm/default-java \
        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com

override_dh_auto_build:
	set -e ;\
	$(foreach i,$(VARIANTS), \
        dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
    ;)

override_dh_auto_test:
#	set -e ;\
#	$(foreach i,$(VARIANTS), \
#        dh_auto_test --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
#    ;)

override_dh_auto_install:
	@echo "Replacing sourceless (minified) bundled libraries..."
	cp -vfH debian/missing-sources/jquery.js  ui/js/vendors/jquery.js
	cp -vfH debian/missing-sources/jquery-ui.js  ui/js/vendors/jquery-ui.js
	## build man pages
	if [ -d "$(BUILD_PREFIX)-MYSQL/man" ]; then \
            dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
              --destdir=$(CURDIR)/debian/tmp ;\
        fi

override_dh_install:
	dh_install
	for i in debian/zabbix-*-*; do \
            find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
                -exec gzip -n -9 '{}' \;;\
        done
	## Those files need to be renamed:
	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
            cp -v src/zabbix_java/lib/logback.xml  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.logback.xml ;\
            cp -v src/zabbix_java/settings.sh  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.conf ;\
        fi
        ## Directories will be replaced with symlinks:
	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers ;\
            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views ;\
        fi
        ## Remove .po files to save space in frontend-php:
	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
            $(RM) -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/locale/*/LC_MESSAGES/*.po ;\
        fi

override_jh_depends:
	## make sure java-gateway.jar is executable. This is needed for jh_depends to generate correct {java:Depends}
	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
            chmod -v +x $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/usr/sbin/*.jar ;\
        fi
	jh_depends -v -p$(PKG_GATEWAY_JAVA) -jheadless

## jh_linkjars override is necessary with DH-11 due to the following error:
##   jh_linkjars -O--max-parallel=4 -Nzabbix-frontend-php -Nzabbix-java-gateway
##   Invalid option: N
override_jh_linkjars:
	jh_linkjars -v

override_dh_apache2:
	dh_apache2 --noenable

override_dh_installinit:
	dh_installinit -p $(PKG_AGENT)
	dh_installinit -p $(PKG_GATEWAY_JAVA)
	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
ifdef PKG_SERVER_SQLITE3
	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
endif

override_dh_installsystemd:
	dh_installsystemd -p $(PKG_AGENT)
	dh_installsystemd -p $(PKG_GATEWAY_JAVA)
	dh_installsystemd -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
	dh_installsystemd -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
	dh_installsystemd -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
	dh_installsystemd -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
	dh_installsystemd -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
ifdef PKG_SERVER_SQLITE3
	dh_installsystemd -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
endif

override_dh_compress:

## zabbix 5.0.14+dfsg

=== src/go/Makefile ===
--- 
+++ 
@@ -228,10 +228,10 @@
 PACKAGE = zabbix
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = Zabbix
-PACKAGE_STRING = Zabbix 5.0.8
+PACKAGE_STRING = Zabbix 5.0.14
 PACKAGE_TARNAME = zabbix
 PACKAGE_URL = 
-PACKAGE_VERSION = 5.0.8
+PACKAGE_VERSION = 5.0.14
 PATH_SEPARATOR = :
 PG_CONFIG = 
 PKG_CONFIG = 
@@ -271,7 +271,7 @@
 UNIXODBC_CFLAGS = 
 UNIXODBC_LDFLAGS = 
 UNIXODBC_LIBS = 
-VERSION = 5.0.8
+VERSION = 5.0.14
 ZBXGET_LDFLAGS =      
 ZBXGET_LIBS =      
 ZBXJS_LDFLAGS =

=== debian/changelog ===
zabbix (1:5.0.14+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Sep 2021 23:17:19 +1000

zabbix (1:5.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Updated zabbix-java-gateway.README.Debian
  * Standards-Version: 4.6.0
  * agent: +Provides: zabbix-sender (Closes: #987050).
    Thanks, Thomas Goirand.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Aug 2021 13:50:57 +1000

## zabbix 5.0.17%2Bdfsg

=== debian/changelog ===
zabbix (1:5.0.17+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:37:47 +1100

zabbix (1:5.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:15:32 +1100

## zabbix 5.0.17+dfsg

=== build/mingw/Makefile ===
.ONESHELL:

SHELL := cmd
BUILDDIR := $(subst /,\,$(CURDIR))
TOPDIR := $(BUILDDIR)\..\..
OUTPUTDIR := output

MODULEDIR = $(TOPDIR)\src\go
TARGETDIR = $(TOPDIR)\src\go\cmd\zabbix_agent2
TARGETPKG=zabbix.com/cmd/zabbix_agent2

CC = gcc
WINDRES = windres.exe

OBJS = \
	$(OUTPUTDIR)\threads.o \
	$(OUTPUTDIR)\str.o \
	$(OUTPUTDIR)\misc.o \
	$(OUTPUTDIR)\fatal.o \
	$(OUTPUTDIR)\disk.o \
	$(OUTPUTDIR)\iprange.o \
	$(OUTPUTDIR)\md5.o \
	$(OUTPUTDIR)\sysinfo.o \
	$(OUTPUTDIR)\vector.o \
	$(OUTPUTDIR)\zbxregexp.o \
	$(OUTPUTDIR)\logfiles.o \
	$(OUTPUTDIR)\file.o \
	$(OUTPUTDIR)\alias.o \
	$(OUTPUTDIR)\algodefs.o \
	$(OUTPUTDIR)\sysinfo_system.o \
	$(OUTPUTDIR)\sysinfo_dns.o \
	$(OUTPUTDIR)\sysinfo_dir.o \
	$(OUTPUTDIR)\eventlog.o \
	$(TARGETDIR)\resource.syso

CFLAGS := $(CFLAGS) -O2 -g -DHAVE_STDINT_H=1 -DZBX_BUILD_AGENT2=1  -DHAVE_THREAD_LOCAL=1 \
	-I$(TOPDIR)\build\win32\include -I$(TOPDIR)\build\mingw -I$(TOPDIR)\include

RFLAGS := $(RFLAGS) --input-format=rc -O coff
GOPATH := $(GOPATH);$(TOPDIR)\go
TAGS :=

ifeq ("$(ARCH)", "")
	ARCH := $(PROCESSOR_ARCHITECTURE)
endif

ifeq ("$(ARCH)", "x86")
	CFLAGS := $(CFLAGS) -m32
	CGO_CFLAGS := $(CGO_CFLAGS) -m32
	GOARCH := 386
	TARGETBIN=$(TOPDIR)\bin\win32\zabbix_agent2.exe
	RFLAGS := $(RFLAGS) --target=pe-i386

else
	TARGETBIN=$(TOPDIR)\bin\win64\zabbix_agent2.exe
	GOARCH := amd64
	RFLAGS := $(RFLAGS) --target=pe-x86-64
endif

ifneq ("$(OPENSSL)", "")
	CFLAGS := $(CFLAGS) -DHAVE_OPENSSL=1 -DHAVE_OPENSSL_WITH_PSK=1
	ifneq (,$(wildcard $(OPENSSL)))
		CFLAGS := $(CFLAGS) -I$(OPENSSL)\include
		LDFLAGS := $(LDFLAGS) -L$(OPENSSL)\lib
		TAGS += openssl
		OBJS += $(OUTPUTDIR)\tls_version.o
	endif
endif

ifneq ("$(PCRE)", "")
	CFLAGS := $(CFLAGS) -I$(PCRE)\include
	LDFLAGS := $(LDFLAGS) -L$(PCRE)\lib
endif

CGO_CFLAGS += $(CFLAGS)
CGO_LDFLAGS += $(LDFLAGS)

PKG=zabbix.com/pkg/version

GOLDFLAGS = -X $(PKG).titleMessage=zabbix_agent2
GOLDFLAGS += -X $(PKG).compileOs=windows
GOLDFLAGS += -X $(PKG).compileArch=$(GOARCH)
GOLDFLAGS += -X main.confDefault=zabbix_agent2.win.conf

all: $(TARGETBIN)

$(OUTPUTDIR)\misc.o: $(TOPDIR)\src\libs\zbxcommon\misc.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\iprange.o: $(TOPDIR)\src\libs\zbxcommon\iprange.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\str.o: $(TOPDIR)\src\libs\zbxcommon\str.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\file.o: $(TOPDIR)\src\libs\zbxcommon\file.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\alias.o: $(TOPDIR)\src\libs\zbxcommon\alias.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\tls_version.o: $(TOPDIR)\src\libs\zbxcrypto\tls_version.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\fatal.o: $(TOPDIR)\src\libs\zbxwin32\fatal.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\disk.o: $(TOPDIR)\src\libs\zbxwin32\disk.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\threads.o: $(TOPDIR)\src\libs\zbxsys\threads.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\md5.o: $(TOPDIR)\src\libs\zbxcrypto\md5.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo.o: $(TOPDIR)\src\libs\zbxsysinfo\sysinfo.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\sysinfo_system.o: $(TOPDIR)\src\libs\zbxsysinfo\common\system.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_dns.o: $(TOPDIR)\src\libs\zbxsysinfo\common\dns.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_dir.o: $(TOPDIR)\src\libs\zbxsysinfo\common\dir.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\vector.o: $(TOPDIR)\src\libs\zbxalgo\vector.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\algodefs.o: $(TOPDIR)\src\libs\zbxalgo\algodefs.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\zbxregexp.o: $(TOPDIR)\src\libs\zbxregexp\zbxregexp.c
	$(CC) $(CFLAGS) -DUNICODE -DPCRE_STATIC -c $^ -o $@

$(OUTPUTDIR)\logfiles.o: $(TOPDIR)\src\zabbix_agent\logfiles\logfiles.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\eventlog.o: $(TOPDIR)\src\zabbix_agent\eventlog.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -I$(TOPDIR)\go\win64 -o $@

$(TARGETDIR)\resource.syso: $(TOPDIR)\build\win32\project\resource.rc
	$(WINDRES) $^ $(RFLAGS) -D _WINDOWS -D ZABBIX_AGENT2 -o $@

.FORCE:
$(TARGETBIN): $(OBJS) .FORCE
	set CGO_CFLAGS=$(CGO_CFLAGS)
	set CGO_LDFLAGS=$(CGO_LDFLAGS)
	set GOARCH=$(GOARCH)
	set CGO_ENABLED=1

	for /F "usebackq tokens=1,2 delims==" %%i in (`wmic os get LocalDateTime /VALUE 2^>NUL`) do if '.%%i.'=='.LocalDateTime.' set ldt=%%j
	set BUILD_DATE=%ldt:~0,4%-%ldt:~4,2%-%ldt:~6,2%
	set BUILD_TIME=%ldt:~8,2%:%ldt:~10,2%:%ldt:~12,2%

	set GOLDFLAGS=$(GOLDFLAGS) -X $(PKG).compileDate=%BUILD_DATE%
	set GOLDFLAGS=%GOLDFLAGS% -X $(PKG).compileTime=%BUILD_TIME%
	cd $(MODULEDIR)

	go build -tags "$(TAGS)" -ldflags="%GOLDFLAGS%" -o $(TARGETBIN) zabbix.com/cmd/zabbix_agent2

clean:
	go clean -cache
	del $(TOPDIR)\include\config.h "$(TARGETBIN)" $(OUTPUTDIR)\*.o $(TARGETDIR)\*.syso 2>NUL

=== src/go/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.3 from Makefile.am.
 # src/go/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -130,8 +130,10 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' aclocal-1.16
 AGENT2_CONFIG_FILE = ${prefix}/etc/zabbix_agent2.conf
+AGENT2_LDFLAGS =    
+AGENT2_LIBS =    
 AGENT_CONFIG_FILE = ${prefix}/etc/zabbix_agentd.conf
 AGENT_LDFLAGS =      
 AGENT_LIBS =      
@@ -139,15 +141,15 @@
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 ARCH = linux
-AUTOCONF = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing automake-1.16
+AUTOCONF = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' automake-1.16
 AWK = mawk
 CC = cc
 CCDEPMODE = depmode=gcc3
 CFLAGS =  -g -O2 
 CGO_CFLAGS = 
-CGO_LDFLAGS =       -Wl,--start-group 	${abs_top_builddir}/src/zabbix_agent/logfiles/libzbxlogfiles.a 	${abs_top_builddir}/src/libs/zbxcomms/libzbxcomms.a 	${abs_top_builddir}/src/libs/zbxcommon/libzbxcommon.a 	${abs_top_builddir}/src/libs/zbxcrypto/libzbxcrypto.a 	${abs_top_builddir}/src/libs/zbxsys/libzbxsys.a 	${abs_top_builddir}/src/libs/zbxnix/libzbxnix.a 	${abs_top_builddir}/src/libs/zbxconf/libzbxconf.a 	${abs_top_builddir}/src/libs/zbxhttp/libzbxhttp.a 	${abs_top_builddir}/src/libs/zbxcompress/libzbxcompress.a 	${abs_top_builddir}/src/libs/zbxregexp/libzbxregexp.a 	${abs_top_builddir}/src/libs/zbxsysinfo/libzbxagent2sysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/common/libcommonsysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/simple/libsimplesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspechostnamesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspecsysinfo.a 	${abs_top_builddir}/src/libs/zbxexec/libzbxexec.a 	${abs_top_builddir}/src/libs/zbxalgo/libzbxalgo.a 	${abs_top_builddir}/src/libs/zbxjson/libzbxjson.a 	-lm -ldl  -lresolv         -Wl,--end-group
+CGO_LDFLAGS =     -Wl,--start-group 	${abs_top_builddir}/src/zabbix_agent/logfiles/libzbxlogfiles.a 	${abs_top_builddir}/src/libs/zbxcomms/libzbxcomms.a 	${abs_top_builddir}/src/libs/zbxcommon/libzbxcommon.a 	${abs_top_builddir}/src/libs/zbxcrypto/libzbxcrypto.a 	${abs_top_builddir}/src/libs/zbxsys/libzbxsys.a 	${abs_top_builddir}/src/libs/zbxnix/libzbxnix.a 	${abs_top_builddir}/src/libs/zbxconf/libzbxconf.a 	${abs_top_builddir}/src/libs/zbxhttp/libzbxhttp.a 	${abs_top_builddir}/src/libs/zbxcompress/libzbxcompress.a 	${abs_top_builddir}/src/libs/zbxregexp/libzbxregexp.a 	${abs_top_builddir}/src/libs/zbxsysinfo/libzbxagent2sysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/common/libcommonsysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/simple/libsimplesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspechostnamesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspecsysinfo.a 	${abs_top_builddir}/src/libs/zbxexec/libzbxexec.a 	${abs_top_builddir}/src/libs/zbxalgo/libzbxalgo.a 	${abs_top_builddir}/src/libs/zbxjson/libzbxjson.a 	-lm -ldl  -lresolv       -Wl,--end-group
 CPP = cc -E
 CPPFLAGS = 
 CURL_SSL_CERT_LOCATION = ${datarootdir}/zabbix/ssl/certs
@@ -206,7 +208,7 @@
 LIBXML2_VERSION = 
 LOAD_MODULE_PATH = ${exec_prefix}/lib/modules
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing makeinfo
+MAKEINFO = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' makeinfo
 MKDIR_P = /bin/mkdir -p
 MYSQL_CFLAGS = 
 MYSQL_CONFIG = 
@@ -228,10 +230,10 @@
 PACKAGE = zabbix
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = Zabbix
-PACKAGE_STRING = Zabbix 5.0.14
+PACKAGE_STRING = Zabbix 5.0.17
 PACKAGE_TARNAME = zabbix
 PACKAGE_URL = 
-PACKAGE_VERSION = 5.0.14
+PACKAGE_VERSION = 5.0.17
 PATH_SEPARATOR = :
 PG_CONFIG = 
 PKG_CONFIG = 
@@ -271,7 +273,7 @@
 UNIXODBC_CFLAGS = 
 UNIXODBC_LDFLAGS = 
 UNIXODBC_LIBS = 
-VERSION = 5.0.14
+VERSION = 5.0.17
 ZBXGET_LDFLAGS =      
 ZBXGET_LIBS =      
 ZBXJS_LDFLAGS =   
@@ -365,6 +367,3 @@
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
-	esac;
-

=== src/modules/dummy/Makefile ===
dummy: dummy.c
	gcc -fPIC -shared -o dummy.so dummy.c -I../../../include

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: zabbix
 Section: net
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.0
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
 Build-Depends: debhelper-compat (= 12), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
@@ -51,6 +50,7 @@
         ,pciutils
 Recommends: usbutils
 Suggests: logrotate
+Provides: zabbix-sender
 Description: network monitoring solution - agent
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:

=== debian/rules ===
--- 
+++ 
@@ -66,9 +66,6 @@
 
 %:
 	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -195,3 +192,6 @@
 endif
 
 override_dh_compress:
+	dh_compress -X.xml
+
+override_dh_dwz:

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
uversionmangle=s/\d\K(rc\d+)/~$1/,\
"  https://cdn.zabbix.com/zabbix/sources/stable/5.0/zabbix-@ANY_VERSION@@ARCHIVE_EXT@  debian ./debian/get-orig-source.sh

## Redirector http://qa.debian.org/watch/sf.php/zabbix/
#opts="\
#pgpmode=none,\
#repacksuffix=+dfsg,\
#repack,compression=xz,\
#dversionmangle=s/\+dfsg\d*//,\
#uversionmangle=s/\d\K(rc\d+)/~$1/,\
#"  https://sf.net/zabbix/zabbix-(5\.0\.\d[0-9.]+(?:rc\d*)?)\.tar\.gz
